{ user, inputs, ... }:
{
  imports = [
    inputs.sops-nix.homeManagerModules.sops
  ];
  
  sops = {
    # age.keyFile = "/home/${user}/.config/sops/age/keys.txt";
    gnupg.home = "/home/${user}/.gnupg";
    defaultSopsFile = ../sops-secrets.yaml;

    # %r is $XDG_RUNTIME_DIR
    secrets = {
      "example" = {
        path = "%r/secrets/example"; 
      };
      # "sops-age-private-key" = { # Bootstrapping doens't work
      #   mode = "0400";
      #   path = "/home/${user}/.config/sops/age/keys.txt";
      # };
    };
  };
}
